#include <stdio.h>
#include <string.h>

#define MAX_LINHA 50

char *leLinha(char *string, int tam, FILE *arquivo) {
	char *result = fgets(string, tam, arquivo);
	string[strlen(string) - 1] = '\0';
	return result;
}

main() {
	char linha[MAX_LINHA], nome[MAX_LINHA];
	int idade;
	float peso, altura;
	FILE *entrada, *saida;
	
	// Abre os arquivos de entrada e de saída.
	entrada = fopen("paciente.txt", "r");
	saida = fopen("acimadopeso.txt", "w");
	
	// Lê os dados dos pacientes até o final do arquivo.
	while (leLinha(linha, sizeof(linha), entrada)) {
		strcpy(nome, linha);
		
		// Além do nome, lê a idade, peso e altura na linha seguinte.
		leLinha(linha, sizeof(linha), entrada);
		sscanf(linha, "%d %f %f", &idade, &peso, &altura);
		
		// Verifica se está acima do peso ideal, imprimindo no arquivo de saída.
		if (peso > ((altura - 1) * 100))
			fprintf(saida, "%s, %d\n", nome, idade);
	}
	
	// Fecha os arquivos.
	fclose(entrada);
	fclose(saida);
}
