#include <stdio.h>
#include <string.h>

#define MAX_LINHA 500

char *leLinha(char *string, int tam, FILE *arquivo) {
	char *result = fgets(string, tam, arquivo);
	string[strlen(string) - 1] = '\0';
	return result;
}

main() {
	char linha[MAX_LINHA];
	char delim[] = ",";
	char *trecho;
	int codigo, dia, mes, ano;
	float proporcao;
	FILE *entrada;
	
	// Abre o arquivo de entrada.
	entrada = fopen("vest.txt", "r");
	
	// Lê os dados, linha por linha.
	while (leLinha(linha, sizeof(linha), entrada)) {
		// Lê e imprime o código.
		trecho = strtok(linha, delim);
		sscanf(trecho, "%d", &codigo);
		printf("Código: %04d\n", codigo);

		// Lê e imprime o nome da universidade.
		trecho = strtok(NULL, delim);
		printf("Universidade: %s\n", trecho);

		// Lê e imprime o local do vestibular.
		trecho = strtok(NULL, delim);
		printf("Local do vestibular: %s\n", trecho);

		// Lê e imprime a data do vestibular.
		trecho = strtok(NULL, delim);
		sscanf(trecho, "%d", &ano);
		trecho = strtok(NULL, delim);
		sscanf(trecho, "%d", &mes);
		trecho = strtok(NULL, delim);
		sscanf(trecho, "%d", &dia);
		printf("Data do vestibular: %02d/%02d/%04d\n", dia, mes, ano);

		// Lê e imprime a proporção alunos/vaga.
		trecho = strtok(NULL, delim);
		sscanf(trecho, "%f", &proporcao);
		printf("Alunos por vaga: %.1f\n", proporcao);
		
		printf("---\n");
		
	}
	
	// Fecha os arquivos.
	fclose(entrada);
}
