#include <stdio.h>
#include <string.h>

main() {
	int i, j, k, dominante;
	float matriz[8][8], soma;
	FILE *entrada;
	
	// Abre o arquivo de entrada.
	entrada = fopen("mat8x8.txt", "r");
	
	// Lê 5 matrizes de dimensão 8 x 8.
	for (i = 1; i <= 5; i++) {
		// Lê os números de uma matriz.
		for (j = 0; j < 8; j++) {
			for (k = 0; k < 8; k++) {
				fscanf(entrada, "%f", &matriz[j][k]);
			}
		}
		
		// Verifica se ela é diagonalmente dominante.
		dominante = 1;
		for (j = 0; j < 8 && dominante; j++) {
			soma = 0;
			for (k = 0; k < 8; k++) if (k != j) soma += matriz[j][k];
			if (matriz[j][j] <= soma) dominante = 0;
		}
		
		// Informa o resultado.
		if (dominante) printf("A %dª matriz é dominante.\n", i);
	}
	
	// Fecha o arquivo.
	fclose(entrada);
}
